ghc-7.0.3: The GHC API

CmmSpillReload

# Documentation

data DualLive Source

Constructors

DualLive |

Fields

on_stack :: RegSet
in_regs :: RegSet

Instances

Outputable DualLive |

dualLiveLattice :: DataflowLattice DualLive Source

dualLiveTransfers :: BlockId -> BlockSet -> BackwardTransfers Middle Last DualLive Source

dualLiveness :: BlockSet -> LGraph Middle Last -> FuelMonad (BlockEnv DualLive)Source

dualLivenessWithInsertion :: BlockSet -> LGraph Middle Last -> FuelMonad (LGraph Middle Last)Source

availRegsLattice :: DataflowLattice AvailRegsSource

cmmAvailableReloads :: LGraph Middle Last -> FuelMonad (BlockEnv AvailRegs)Source

insertLateReloads :: LGraph Middle Last -> FuelMonad (LGraph Middle Last)Source

removeDeadAssignmentsAndReloads :: BlockSet -> LGraph Middle Last -> FuelMonad (LGraph Middle Last)Source